# -*- coding: utf-8 -*-
from PyQt5 import QtWidgets

class MyWindow(QtWidgets.QWidget):
    def __init__ (self, parent = None):
        QtWidgets.QWidget.__init__(self, parent)
        self.resize(300, 100)
    def moveEvent(self, e):
        print ("x = {0}; y = {1}".format (e.pos().x(), e.pos().y()))
        QtWidgets.QWidget.moveEvent(self, e)  # Отправляем дальше
    def resizeEvent(self, e):
        print("w = {0}; h= {1}".format(e.size().width(),
                                       e.size().height()))
        QtWidgets.QWidget.resizeEvent(self, e) # Отправляем дальше

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    window = MyWindow()
    window.show()
    sys.exit(app.exec_())
